Bug 821875 - twistd tracebacks
twistd tracebacks
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: python-twisted-names (Show other bugs)
el5
Unspecified Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 12:08 EDT by Martin Cermak
Modified: 2017-04-06 06:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:30:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Cermak 2012-05-15 12:08:02 EDT
# rpm -q python-twisted-names
python-twisted-names-0.3.0-3.el5
# cat zone 
zone = [
    SOA(
        # For whom we are the authority
        'example-domain.com',

        # This nameserver's name
        mname = "ns1.example-domain.com",

        # Mailbox of individual who handles this
        rname = "root.example-domain.com",

        # Unique serial identifying this SOA data
        serial = 2003010601,

        # Time interval before zone should be refreshed
        refresh = "1H",

        # Interval before failed refresh should be retried
        retry = "1H",

        # Upper limit on time interval before expiry
        expire = "1H",

        # Minimum TTL
        minimum = "1H"
    ),

    A('example-domain.com', '127.0.0.1'),
    NS('example-domain.com', 'ns1.example-domain.com'),

    CNAME('www.example-domain.com', 'example-domain.com'),
    CNAME('ftp.example-domain.com', 'example-domain.com'),

    MX('example-domain.com', 0, 'mail.example-domain.com'),
    A('mail.example-domain.com', '123.0.16.43')
]

# twistd -n dns --pyzone zone 
Traceback (most recent call last):
  File "/usr/bin/twistd", line 21, in ?
    run()
  File "/usr/lib64/python2.4/site-packages/twisted/scripts/twistd.py", line 27, in run
    app.run(runApp, ServerOptions)
  File "/usr/lib64/python2.4/site-packages/twisted/application/app.py", line 374, in run
    config.parseOptions()
  File "/usr/lib64/python2.4/site-packages/twisted/application/app.py", line 354, in parseOptions
    usage.Options.parseOptions(self, options)
  File "/usr/lib64/python2.4/site-packages/twisted/python/usage.py", line 187, in parseOptions
    self.subOptions = parser()
  File "/usr/lib64/python2.4/site-packages/twisted/application/app.py", line 366, in <lambda>
    yield (plug.tapname, None, lambda: plug.options(), plug.description)
  File "/usr/lib64/python2.4/site-packages/twisted/scripts/mktap.py", line 205, in get
    return namedAny(self.module).Options
  File "/usr/lib64/python2.4/site-packages/twisted/python/reflect.py", line 357, in namedAny
    topLevelPackage = __import__(trialname)
  File "/usr/lib64/python2.4/site-packages/twisted/names/tap.py", line 12, in ?
    from twisted.names import dns
  File "/usr/lib64/python2.4/site-packages/twisted/names/dns.py", line 116, in ?
    class IRecord(components.Interface):
AttributeError: 'module' object has no attribute 'Interface'
#
Comment 1 Jonathan Steffan 2015-08-15 12:18:15 EDT
Is this still an issue with the latest package?
Comment 2 Martin Cermak 2015-09-10 07:27:21 EDT
Yes, given that EPEL still has the same version as in 2012, it is. But I re-checked it ;-) But feel free to close this ancient bad boy.
Comment 3 Fedora End Of Life 2017-04-06 06:30:35 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.